<?php

namespace Drupal\pid_field_set\Form;

use Drupal\Core\Form\FormStateInterface;

class PersistentFieldSettingsForm extends \Drupal\Core\Form\ConfigFormBase
{

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'persistent_identifiers_admin_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['pid_field_set.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {

    \Drupal::configFactory()->getEditable('doi_datacite.settings')
      ->set('doi_datacite_api_endpoint', $form_state->getValue('doi_datacite_api_endpoint'))
      ->set('doi_datacite_prefix', $form_state->getValue('doi_datacite_prefix'))
      ->set('doi_datacite_suffix_source', $form_state->getValue('doi_datacite_suffix_source'))
      ->set('doi_datacite_username', $form_state->getValue('doi_datacite_username'))
      ->set('doi_datacite_password', $form_state->getValue('doi_datacite_password'))
      ->save();

    \Drupal::configFactory()->getEditable('ezid.settings')
      ->set('ezid_user', $form_state->getValue('ezid_user'))
      ->set('ezid_password', $form_state->getValue('ezid_password'))
      ->set('ezid_api_endpoint', $form_state->getValue('ezid_api_endpoint'))
      ->set('ezid_shoulder', $form_state->getValue('ezid_shoulder'))
      ->save();

    \Drupal::configFactory()->getEditable('hdl.settings')
      ->set('hdl_handle_api_endpoint', $form_state->getValues('hdl_handle_api_endpoint'))
      ->set('hdl_admin_handle', $form_state->getValues('hdl_admin_handle'))
      ->set('hdl_admin_index', $form_state->getValues('hdl_admin_index'))
      ->set('hdl_admin_private_key', $form_state->getValues('hdl_admin_private_key'))
      ->save();

    $this->config('pid_field_set.settings')
      ->save();

    parent::submitForm($form, $form_state);
  }

}
