<?php

namespace Drupal\pid_field_set\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'Default' formatter.
 *
 * @FieldFormatter(
 *   id = "pid_field_set_default",
 *   label = @Translation("Default"),
 *   field_types = {
 *     "pid_field_set"
 *   }
 * )
 */

class PIDFieldSetDefaultFormatter extends \Drupal\Core\Field\FormatterBase
{

    /**
     * @inheritDoc
     */
    public function viewElements(FieldItemListInterface $items, $langcode)
    {
      $element = [];

      foreach ($items as $delta => $item) {
        $values = $item->getValue();
        //ksm($values);
        $element[$delta] = [
          '#theme' => 'pid_field_set_default',
          "#attributes" => [
            'class' => [
              'pid_field_set'
            ],
          ],
        ];
        $element[$delta]["#pid_type"] = $values['pid_type'];
        $element[$delta]["#persistent_item"] = $values['persistent_item'];
        $element[$delta]["#pid_url"] = $values['pid_url'];
        $element[$delta]["#url_prefix"] = $values['url_prefix'];
      }

      return $element;

    }
}
